<?php

if ( !defined( 'ABSPATH' ) ) {
    die;
}
class faa_replace extends faa_base
{
    private  $assets_url ;
    public function __construct()
    {
        $this->assets_url = trailingslashit( str_replace( '\\', '/', plugin_dir_url( __FILE__ ) ) ) . 'assets/';
        parent::__construct(
            'Replace value',
            'This Task replace a value inside the selected form using a search value',
            'faa_replace',
            'professional'
        );
        add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_js' ) );
        add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_style' ) );
        //Get autocomplete row fields
        add_action( 'wp_ajax_nopriv_faa_replace_get_autocomplete_row', array( $this, 'get_autocomplete_row' ) );
        add_action( 'wp_ajax_faa_replace_get_autocomplete_row', array( $this, 'get_autocomplete_row' ) );
    }
    
    public function get_defaults()
    {
        return array(
            'faa_targets' => '',
        );
    }
    
    /**
     * Add new content into the action view
     *
     * @param $form
     * @param $form_action
     * @param $action_control
     */
    public function view( $form, $form_action, $action_control )
    {
    }
    
    /**
     *
     * @param $fab_target_form_id
     *
     * @return array
     */
    private function get_forms( $fab_target_form_id )
    {
        $lookup_args = array();
        // Get all forms for the -select form- option
        $lookup_args['form_list'] = FrmForm::get_published_forms();
        
        if ( is_numeric( $fab_target_form_id ) ) {
            $entry_id = new stdClass();
            $entry_id->id = 'id';
            $entry_id->name = __( 'Entry ID', 'gfirem_action_after' );
            $entry_id->type = 'hidden';
            $lookup_args['form_fields'] = array_merge( array( $entry_id ), FrmField::get_all_for_form( $fab_target_form_id ) );
        } else {
            $lookup_args['form_fields'] = array();
        }
        
        return $lookup_args;
    }
    
    private function get_field( $field_id )
    {
        $field_target = array();
        
        if ( !empty($field_id) && is_numeric( $field_id ) ) {
            $field_target = FrmField::getOne( $field_id );
        } else {
            $field_target = $field_id;
        }
        
        return $field_target;
    }
    
    /**
     * Process the action
     *
     * @param $action
     * @param $entry
     * @param $form
     * @param $event
     */
    public function process(
        $action,
        $entry,
        $form,
        $event
    )
    {
    }
    
    /**
     * Include styles in admin
     */
    public function enqueue_style()
    {
        wp_enqueue_style( 'jquery' );
        wp_enqueue_style(
            'faa_replace',
            $this->assets_url . 'css/' . 'faa_replace.css',
            array(),
            faa_manager::getVersion()
        );
    }
    
    /**
     * Include script
     */
    public function enqueue_js()
    {
        wp_register_script(
            'faa_replace',
            $this->assets_url . 'js/' . 'faa_replace.js',
            array( 'jquery' ),
            true
        );
        wp_enqueue_script( 'faa_replace' );
    }
    
    public function get_autocomplete_row()
    {
        check_ajax_referer( 'frm_ajax', 'nonce' );
        $row_key = FrmAppHelper::get_post_param( 'row_key', '', 'absint' );
        $field_id = FrmAppHelper::get_post_param( 'field_id', '', 'absint' );
        $form_id = FrmAppHelper::get_post_param( 'form_id', '', 'absint' );
        $selected_field = '';
        $current_field = FrmField::getOne( $field_id );
        // Maybe (for efficiency) change this to a specific database call
        $lookup_fields = self::get_limited_lookup_fields_in_form( $form_id, $current_field->form_id );
        include GFIREM_ACTION_AFTER_VIEW_PATH . '/watch-row.php';
        wp_die();
    }
    
    private static function get_limited_lookup_fields_in_form( $parent_form_id, $current_form_id )
    {
        
        if ( $parent_form_id == $current_form_id ) {
            // If the current field's form ID matches $form_id, only get fields in that form (not embedded or repeating)
            $inc_repeating = 'exclude';
        } else {
            // If current field is repeating, get lookup fields in repeating section and outside of it
            $inc_repeating = 'include';
        }
        
        $lookup_fields = FrmField::get_all_for_form( $parent_form_id, '', $inc_repeating );
        return $lookup_fields;
    }
    
    /**
     * Fill option for field drop down in field options
     *
     * @param $form_fields
     * @param array $field
     */
    public static function show_options_for_get_values_field( $form_fields, $field = array() )
    {
        $select_field_text = __( '&mdash; Select Field &mdash;', 'formidable' );
        echo  '<option value="">' . esc_html( $select_field_text ) . '</option>' ;
        foreach ( $form_fields as $field_option ) {
            if ( FrmField::is_no_save_field( $field_option->type ) ) {
                continue;
            }
            $selected = '';
            if ( !empty($field) ) {
                
                if ( is_string( $field ) ) {
                    if ( $field_option->id == $field ) {
                        $selected = ' selected="selected"';
                    }
                } else {
                    if ( $field_option->id == $field->id ) {
                        $selected = ' selected="selected"';
                    }
                }
            
            }
            $field_name = FrmAppHelper::truncate( $field_option->name, 30 );
            echo  '<option value="' . esc_attr( $field_option->id ) . '"' . esc_attr( $selected ) . '>' . esc_html( $field_name ) . '</option>' ;
        }
    }

}